import axios from "axios"
import { currentUser } from "@/lib/current-user";
import { db } from "@/lib/db"
import { NextResponse } from "next/server";

export async function GET(req: Request) {
    try {
        const user = await currentUser();
        if (!user) {
            return new NextResponse("Unauthorized", { status: 401 });
        }

        let badges = await axios.get("https://api.twitch.tv/helix/chat/badges")


        const badgesData = await db.ttsBadgeFilter.findMany({
            where: {
                data: {
                    userId: user.id
                }
            }
        });

        // return NextResponse.json(badgesData);
        return new NextResponse("Bad Request", { status: 400 });
    } catch (error) {
        console.log("[CONNECTION/TWITCH]", error);
        return new NextResponse("Internal Error", { status: 500});
    }
}

export async function POST(req: Request) {
    try {
        const user = await currentUser();
        const badges = await req.json();

        console.log("BADGES", badges);
        if (!user) {
            return new NextResponse("Unauthorized", { status: 401 });
        }

        // const badgesData = await db.tTSBadgeFilter.createMany({
        //     badges.map((badgeName, value) => {
        //         data: {
        //             userId: user.id
        //         }
        //     })
        // });

        // return NextResponse.json(badgesData);
        return new NextResponse("Bad Request", { status: 400 });
    } catch (error) {
        console.log("[CONNECTION/TWITCH]", error);
        return new NextResponse("Internal Error", { status: 500});
    }
}